Loading...
Searching...
No Matches
YProtocol.hh File Reference
`#include "XProtocol/XPtypes.hh"`
Include dependency graph for YProtocol.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdCms::CmsAvailRequest
struct | XrdCms::CmsChmodRequest
struct | XrdCms::CmsDiscRequest
struct | XrdCms::CmsGoneRequest
struct | XrdCms::CmsHaveRequest
struct | XrdCms::CmsLoadRequest
struct | XrdCms::CmsLocateRequest
struct | XrdCms::CmsLoginData
struct | XrdCms::CmsLoginRequest
struct | XrdCms::CmsLoginResponse
struct | XrdCms::CmsMkdirRequest
struct | XrdCms::CmsMkpathRequest
struct | XrdCms::CmsMvRequest
struct | XrdCms::CmsPingRequest
struct | XrdCms::CmsPongRequest
struct | XrdCms::CmsPrepAddRequest
struct | XrdCms::CmsPrepDelRequest
struct | XrdCms::CmsResponse
struct | XrdCms::CmsRmdirRequest
struct | XrdCms::CmsRmRequest
struct | XrdCms::CmsRRHdr
struct | XrdCms::CmsSelectRequest
struct | XrdCms::CmsSpaceRequest
struct | XrdCms::CmsStateRequest
struct | XrdCms::CmsStatfsRequest
struct | XrdCms::CmsStatsRequest
struct | XrdCms::CmsStatusRequest
struct | XrdCms::CmsTruncRequest
struct | XrdCms::CmsTryRequest
struct | XrdCms::CmsUpdateRequest
struct | XrdCms::CmsUsageRequest

## Namespaces

namespace | XrdCms

## Enumerations

enum | XrdCms::CmsFwdModifier { XrdCms::kYR_hopcount = 0xc0 , XrdCms::kYR_hopincr = 0x40 }

enum

XrdCms::CmsReqCode {
XrdCms::kYR_login = 0 ,
XrdCms::kYR_chmod = 1 ,
XrdCms::kYR_locate = 2 ,
XrdCms::kYR_mkdir = 3 ,
XrdCms::kYR_mkpath = 4 ,
XrdCms::kYR_mv = 5 ,
XrdCms::kYR_prepadd = 6 ,
XrdCms::kYR_prepdel = 7 ,
XrdCms::kYR_rm = 8 ,
XrdCms::kYR_rmdir = 9 ,
XrdCms::kYR_select = 10 ,
XrdCms::kYR_stats = 11 ,
XrdCms::kYR_avail = 12 ,
XrdCms::kYR_disc = 13 ,
XrdCms::kYR_gone = 14 ,
XrdCms::kYR_have = 15 ,
XrdCms::kYR_load = 16 ,
XrdCms::kYR_ping = 17 ,
XrdCms::kYR_pong = 18 ,
XrdCms::kYR_space = 19 ,
XrdCms::kYR_state = 20 ,
XrdCms::kYR_statfs = 21 ,
XrdCms::kYR_status = 22 ,
XrdCms::kYR_trunc = 23 ,
XrdCms::kYR_try = 24 ,
XrdCms::kYR_update = 25 ,
XrdCms::kYR_usage = 26 ,
XrdCms::kYR_xauth = 27 ,
XrdCms::kYR_MaxReq
}

enum | XrdCms::CmsReqModifier { XrdCms::kYR_raw = 0x20 , XrdCms::kYR_dnf = 0x10 }
enum | XrdCms::CmsRspCode { XrdCms::kYR_data = 0 , XrdCms::kYR_error = 1 , XrdCms::kYR_redirect = 2 , XrdCms::kYR_wait = 3 , XrdCms::kYR_waitresp = 4 , XrdCms::kYR_yauth = 5 }
enum | XrdCms::YErrorCode { XrdCms::kYR_ENOENT = 1 , XrdCms::kYR_EPERM , XrdCms::kYR_EACCES , XrdCms::kYR_EINVAL , XrdCms::kYR_EIO , XrdCms::kYR_ENOMEM , XrdCms::kYR_ENOSPC , XrdCms::kYR_ENAMETOOLONG , XrdCms::kYR_ENETUNREACH , XrdCms::kYR_ENOTBLK , XrdCms::kYR_EISDIR , XrdCms::kYR_FSError , XrdCms::kYR_SrvError , XrdCms::kYR_RWConflict , XrdCms::kYR_noReplicas }

## Variables

static const unsigned char | XrdCms::kYR_Version = 3

## Class Documentation

## XrdCms::CmsAvailRequest

struct XrdCms::CmsAvailRequest

Definition at line 184 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsAvailRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsChmodRequest

struct XrdCms::CmsChmodRequest

Definition at line 197 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsChmodRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsDiscRequest

struct XrdCms::CmsDiscRequest

Definition at line 211 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsDiscRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsGoneRequest

struct XrdCms::CmsGoneRequest

Definition at line 222 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsGoneRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsLoginRequest

struct XrdCms::CmsLoginRequest

Definition at line 312 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsLoginRequest:

Class Members
CmsLoginData | Data |
CmsRRHdr | Hdr |

## XrdCms::CmsLoginResponse

struct XrdCms::CmsLoginResponse

Definition at line 317 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsLoginResponse:

Class Members
CmsLoginData | Data |
CmsRRHdr | Hdr |

## XrdCms::CmsMkdirRequest

struct XrdCms::CmsMkdirRequest

Definition at line 344 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsMkdirRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsMkpathRequest

struct XrdCms::CmsMkpathRequest

Definition at line 358 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsMkpathRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsMvRequest

struct XrdCms::CmsMvRequest

Definition at line 372 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsMvRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsPingRequest

struct XrdCms::CmsPingRequest

Definition at line 386 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsPingRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsPongRequest

struct XrdCms::CmsPongRequest

Definition at line 397 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsPongRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsPrepDelRequest

struct XrdCms::CmsPrepDelRequest

Definition at line 433 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsPrepDelRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsRmdirRequest

struct XrdCms::CmsRmdirRequest

Definition at line 459 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsRmdirRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsRmRequest

struct XrdCms::CmsRmRequest

Definition at line 446 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsRmRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsRRHdr

struct XrdCms::CmsRRHdr

Definition at line 82 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsRRHdr:

Class Members
kXR_unt16 | datalen |
kXR_char | modifier |
kXR_char | rrCode |
kXR_unt32 | streamid |

## XrdCms::CmsSpaceRequest

struct XrdCms::CmsSpaceRequest

Definition at line 537 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsSpaceRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsTruncRequest

struct XrdCms::CmsTruncRequest

Definition at line 609 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsTruncRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsUpdateRequest

struct XrdCms::CmsUpdateRequest

Definition at line 638 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsUpdateRequest:

Class Members
CmsRRHdr | Hdr |

## XrdCms::CmsUsageRequest

struct XrdCms::CmsUsageRequest

Definition at line 648 of file YProtocol.hh.

Collaboration diagram for XrdCms::CmsUsageRequest:

Class Members
CmsRRHdr | Hdr |